<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ResellerComment extends Model
{
    use HasFactory;

    protected $guarded = ['id'];
    
    public function createdBy(){
        return $this->belongsTo(Admin::class, 'admin_id');
    }

    public function selectedComment(){
        return $this->belongsTo(Comment::class, 'comment_id');
    }
}